<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.vessel.app.onboarding.pickothergoal.PickAnotherGoalViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/parentContainer"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true"
        android:background="@{viewModel.bgColor}">

        <include
            android:id="@+id/toolbar"
            layout="@layout/toolbar_back"
            app:handler="@{viewModel}" />

        <LinearLayout
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:orientation="vertical"
            android:gravity="center"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <androidx.appcompat.widget.AppCompatImageView
                android:src="@drawable/ic_sugesstion"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>
            <androidx.appcompat.widget.AppCompatTextView
                android:layout_marginTop="@dimen/spacing_normal"
                style="@style/Title.XL"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/let_pick_other_goal"
                android:gravity="center"
                />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_marginTop="@dimen/spacing_normal"
                style="@style/Subtitle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/pick_other_goal_desc"
                android:gravity="center" />

        </LinearLayout>



        <com.vessel.app.views.BlackWithoutOverlayAppButtonViewGroup
            android:id="@+id/doneButton"
            style="@style/FooterButton"
            android:layout_marginStart="@dimen/spacing_xl"
            android:layout_marginTop="@dimen/spacing_2xl"
            android:layout_marginEnd="@dimen/spacing_xl"
            android:onClick="@{() -> viewModel.onDoneClicked()}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:text="@{@string/pick_other_goal}"
            tools:background="@color/black" />

        <include
            android:id="@+id/loadingLayout"
            layout="@layout/layout_full_screen_loading_transparent"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:visible="@{viewModel.isLoading}"
            tools:visibility="gone" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
